List comments, filtered by course, activity, author, status or reports
GET /api/comments. List comments, filtered by course, activity, author, status or reports. Headless LMS Discussion API reference.
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20search?string
sort?string
status?string
Value in
- "pending"
- "published"
- "removed"
reported?string
courseId?string
activityId?string
orgUserId?string
Response Body
application/json
curl -X GET "https://example.com/api/comments"{ "rows": [ { "id": "string", "parentId": "string", "activityId": "string", "activityTitle": "string", "courseId": "string", "body": "string", "status": "pending", "author": { "id": "string", "firstName": "string", "lastName": "string", "image": "string", "role": "owner" }, "authorEmail": "user@example.com", "removedBy": "string", "reports": [ { "reporter": { "id": "string", "firstName": "string", "lastName": "string", "image": "string", "role": "owner" }, "reason": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}Flag a comment for moderator attention POST
POST /api/learn/comments/{commentId}/reports. Flag a comment for moderator attention. Headless LMS Discussion API reference.
Publish a comment: approves a pending one, restores a removed one PATCH
PATCH /api/comments/{commentId}. Publish a comment: approves a pending one, restores a removed one. Headless LMS Discussion API reference.